#ifndef PROTOTYPE1_SRC_L1_ANNE_MARIE_GRAPHICS_GEOM_H
#define PROTOTYPE1_SRC_L1_ANNE_MARIE_GRAPHICS_GEOM_H

#include "../../codegen/util_template_inst.h"

void generate_marie_headers_for_graphics_geom() {
    SpanU8 l = cstr("l1");
    SpanU8 ns = cstr("marie");
    mkdir_nofail("l1/eve/marie");
    generate_eve_span_company_for_primitive(l, ns, cstr("MarieTriangle"), true, false);
    generate_eve_span_company_for_primitive(l, ns, cstr("MarieTriangleAttr"), true, false);
}

#endif